#
# spec file for package gnome-epub-thumbnailer
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Dominique Leuenberger, Amsterdam, The Netherlands
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-epub-thumbnailer
Version:        1.5
Release:        6.1
Summary:        Thumbnailer for EPub books
License:        GPL-2.0+
Group:          Productivity/Office/Other
Url:            http://ftp.acc.umu.se/pub/GNOME/sources/gnome-epub-thumbnailer/
Source:         http://download.gnome.org/sources/gnome-epub-thumbnailer/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Thumbnailer for EPub books

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_bindir}/gnome-epub-thumbnailer
%{_bindir}/gnome-mobi-thumbnailer
%dir %{_datadir}/thumbnailers/
%{_datadir}/thumbnailers/gnome-epub-thumbnailer.thumbnailer
%{_datadir}/thumbnailers/gnome-mobi-thumbnailer.thumbnailer

%changelog
* Wed Jan 21 2015 zaitor@opensuse.org
- Update to version 1.5:
  + Fix MOBI crasher with malformed or missing EXTH header.
  + Fix EPub thumbnailing with cover at the root of the archive.
* Sun Mar 23 2014 zaitor@opensuse.org
- Update to version 1.4:
  + Create covers for encrypted MOBI files as well.
  + Fix crash when there's no cover in MOBI files.
  + Fix crash when the EPub cover cannot be found.
  + Print warnings when we cannot find the metafile, or when
    reading empty EPub files.
  + Fix crash handling files in trash or recent locations.
* Fri Aug  9 2013 dimstar@opensuse.org
- Update to version 1.3:
  + Fix a number of possible crashers in the MOBI thumbnailer.
- Changes from version 1.2:
  + Added MOBI thumbnailer.
* Thu Jul 18 2013 dimstar@opensuse.org
- Update to version 1.1:
  + Fix possible crashes or excessive warnings on failure.
* Sat Jul 13 2013 dimstar@opensuse.org
- Initial package, version 1.0.
